2020-11-23 6.9.1版本发布
实现复制看板列功能
任务卡片可以设置不同颜色
看板的相关操作要记历史记录
看板列任务数量和在制品限制数量用括号括起来
看板页面的刷新不要抖动，用更加平滑的方式呈现
已归档的看板列中子列增加子标识
看板列和卡片的宽度按固定宽度显示
任务更多操作中增加移动到其他看板列的功能
新增区域与现有区域名称重复时没有做限制
实现复制任务功能
实现泳道组拖动排序功能
在看板中实现拖动看板列功能
实现看板列卡片排序功能

2020-11-17 6.9版本发布
完成的需求:
1、在看板中实现删除泳道操作               
2、实现泳道的设置功能                     
3、实现泳道的更多操作菜单功能             
4、实现查看已完成状态任务的展现方式        
5、在任务的更多操作中实现删除任务功能      
6、实现归档任务操作                                
7、实现查看已归档任务功能                                          
8、看板项目设置中打印已归档任务菜单                        
9、实现删除看板列功能                                                      
10、查看已归档看板列                                                        
11、看板项目设置中打印已归档看板列菜单                      
12、实现归档看板列功能                                                      
13、实现在看板列左侧/右侧添加看板列功能                     
14、实现看板列拆分子列功能                                          
15、实现看板列中卡片数量超过在制品限制的展示方式
16、实现在制品数量设置功能                                          
17、实现编辑看板列功能                                                      
18、实现只有两种状态的任务点击完成的功能页面        
19、实现任务在不同看板类型和状态下的操作功能        
20、实现任务卡片的更多操作功能

2020-03-06 6.5版本发布
完成的需求:
1、记账的年度对比表柱状图数值重叠问题调整
2、各处文本框的圆角和间距调整
3、CRM中订单/合同/客户/供应商/联系人/名单详情页的历史记录区块增加“只看沟通记录”的筛选项
4、添加后待办页应保持在添加前的位置
5、申请报销中的发票金额设置为默认和报销金额相等
6、订单中增加附件功能
7、维护成员后返回的路径调整
8、梳理一级导航菜单顺序并增加间隔
9、名单详情页中增加“上一个/下一个”功能
10、记账应用中没有浏览权限时不显示对应的导航菜单
11、CRM应用中没有浏览权限时不显示对应的导航菜单
12、名单忽略的时候“原因”字段该为必填项
13、名单列表无需显示没有任何联系方式数据
14、订单搜索条件中，客户和产品支持用“包含”进行模糊搜索
15、去掉订单列表中“客户”列的链接
16、应用可以设置打开的时候隐藏zdoo的导航条
17、销售/采购合同列表和合同详情页中增加未回款/未付款金额
18、记账设置中“必须选择末级科目”改为“只能选择末级科目”

2019-05-06 5.2版本发布
完成的需求：
2541 转账产生的手续费应该记录科目为手续费
2569 重新梳理产品线、产品和科目的关系
2570 联系人搜索增加微信字段的搜索
2631 考勤表格底部表格边框设置为1px
2645 报销的时候可以指定收款人
2646 报销可以按照报销人集中报销
2661 登录的时候如果random过期，重新请求session。
2663 记账搜索表单里面的科目加上/
2664 日历滚动的时候内容不应该超出横向的滚动条
2665 登录页面用户名输入框自动获得焦点
2666 修复弹窗里面出来的编辑器有一个自左到右的展开过程的bug
2667 完善国际化的翻译和排版
2670 调整应用表格边框错位的问题
2671 喧喧里面的应用不应当在然之的应用里面列出
2674 调整添加应用时权限分组的对齐方式
2676 集成最新版本的喧喧客户端

修复的bug：
1110 客户导出下次联系时间显示错误
1114 待办日历条目拖动之后会出现两个休息的图标
1115 windows一键安装包default.ztaccess文件内容路径错误
1122 记账按照科目使用从属于搜索无效
1123 地盘无法添加文档区块
1124 请假的批量通过功能失效
1125 支出交易时间问题
1126 现金流记账里面会产生没有货币单位的记录
1127 喧喧里面然之集成扩展应用图标点击后跳转到喧喧官网
1128 请假模块我的审核里面的请假需要点两次通过才能审批成功
1129 组织待办的滚动条位置显示有问题
1130 导入记账模板文件权限功能异常
1131 地盘合同删除不受权限控制
1132 在登录页面长时间断开网络连接session过期导致登录失败
1134 动态是搜索表单需要保证默认的检索条件为空
1135 点击项目跳转的地址不对
1137 session目录检查功能不要关闭
1138 禅道一键安装包安装然之异常
1139 考勤补录的批量审核无法通过
1140 然之5.1升级专业版2.8升级失败
1143 设置个人年假，选择起止时间，日历表上部遮挡
1144 CRM应用订单和客户模块下报表和列表数据联动导致的bug
1145 申请报销时，保存出现错误，无法提交
1146 合同列表，合同的创建时间显示不全
1147 客户下次回访时间不能及时更新

2019-01-13 5.1版本发布
完成的需求：
2565 合同可以设置团队和提成比例
2563 优化供应商去重逻辑
2562 导入交易记录时经手人增加同上功能
2558 优化导入交易记录时的去重逻辑
2557 记账导入模板增加经办人选项
2552 调整报销邮件的排版
2509 优化报销流程的提示

修复的bug：
1121 名单下点击申请没有反应
1117 然之app访问联系人页面报错
1113 报销明细缺失
1112 查看导入名单报错
1110 客户导出下次联系时间显示错误
1109 团队-同事 搜索功能不起作用
1105 合同由我联系页面报错
1104 客户管理-订单-点击级别排序报错

2018-11-13 5.0版本发布
完成的需求：
2398 添加编辑html区块时，可以在编辑器里面手写html代码
2465 客户详情页回款记录显示回款账号
2472 客户按照行业或者地域搜索下拉菜单需要增加滚动功能
2473 crm后台设置产品分类的时候菜单应当保持在后台设置菜单
2474 调整crm后台设置页面的样式
2475 将文本框的圆角样式去掉
2476 待办日历上显示休息日和假日
2477 批量记账功能根据当前所选择的tab决定收入或者支出的类型
2478 一键安装包虚拟主机配置中增加 禅道、 蝉知、然之专业版的配置
2480 .htaccess和.ztaccess文件增加php相关设置，防止因设置导致的程序出错
2481 CRM合同列表添加按产品检索功能
2482 没有关联订单的合同，在编辑的时候应该可以关联订单
2483 crm中显示产品的时候把规格也显示出来
2486 crm供应商增加对公帐号的属性字段
2487 新建应付款时说明字段添加编辑器
2488 管理员可以查看所有考勤待审批记录
2489 调休模块可以对出差记录调休
2490 文档搜索增加对文章内容的搜索选项
2493 修改考勤的逻辑
2495 考勤补录增加批量审核功能
2498 对账应该区分公司
2499 然之对账的时候把已经禁用的帐号隐藏掉。
2500 记录收入和支出的时候，将已经禁用的帐号隐藏掉。
2501 浏览我的报销的时候按照状态进行组织
2502 报销记录列表页面统计信息按照状态进行分组
2504 然之安装，增加php-zip扩展检查。
2506 报销区分发票金额和实际消费金额
2509 优化报销流程的提示
2510 优化报销时提示是否关联记账的逻辑
2511 报销关联记账时应当将报销的标题和备注带过来
2512 单点登录后传递给应用的data数据将密码信息去掉
2516 我的地盘-组织待办增加分页功能

修复的bug：
1102 报销审批 第一审批人和第二审批人都显示审批中
1101 报销模块第一次进入的时候点击编号或者状态排序无效
1098 编辑报销或者提交报销时候报错
1096 markdown表格格式展示错误
1095 待办类型选择订单和客户类型时无法列出对象
1094 后台应用列表提示错误信息
1093 用户编辑头像上传头像无法展示
1092 联系人履历显示优化
1088 火狐下面待办拖动条目的时候右上角会出现一个黄色的色块
1087 成员、联系人，增加微信号的记录。
1086 上传180M大小的文件，下载后文件大小是1KB
1085 一键安装包httpd配置问题
1084 优化权限中成员显示
1082 集成的应用显示图标不一致
1081 现金记账中借贷数据导出后没有显示
1079 记账按照产品和科目排序时排序顺序不对
1076 crm-合同-报表，显示数量和实际合同数量不同
1051 备份文件大小显示有问题

2018-10-17 4.9版本发布
完成的功能：
集成喧喧2.1.0
实现喧喧通用的免登录功能
增加在喧喧中显示然之的模板

修复的bug：
1090 报销明细显示优化

2018-08-10 4.8版本发布
完成的功能：
集成喧喧2.0

修复的bug：
1054 供应商联系人编辑时只能选择所属客户，不能选择供应商
1073 合同搜索增加按照合同编号进行搜索的功能
1075 组织权限里，权限勾选框样式不对
1077 创建联系人，联系人的入职时间使用日期输入框
1078 团队-博客阅读数量一直显示为0
1083 crm直接创建合同选择客户后不会显示该客户的订单信息

2018-06-11 4.7版本发布
完成的需求：
1998 指定沟通日期的订单，客户，可以直接显示在待办里面。
2207 在请假模块中，是否可以设置请年假的限制天数。
2214 记账的时候科目可以临时添加。
2363 调整多人任务团队维护界面。
2365 优化任务列表页面。
2367 将涉及到数字的表单控件自动记忆功能都去掉。
2368 订单，编辑，中间显示除历史记录之外，增加订单详情信息。
2418 多人任务团队按钮上面显示团队成员首字母缩写。

修复的bug：
1036 禅道 集成然之后邮件跳转链接不对。
1040 多人任务结束，不能指派给任务创建者。
1041 已关闭的多人任务可以编辑更改状态。
1042 子任务开始和更新工时，父任务没有同步更新。
1043 父任务不能更改状态。
1044 系统备份，点击不提示，其实备份成功。
1048 后台-组织，搜索用户名不起作用。
1049 部分功能在后台-权限取消后，还可以在对应模块下看到菜单。
1050 非项目团队成员可以操作任务的开始指派等功能。
1051 备份文件大小显示有问题。
1052 我的地盘，添加指派给我的任务区块，点击任务跳转页面不正确。
1053 项目-任务，备注插入截图，保存后不显示。
1055 审批请假时，编辑请假提示当天存在请假记录。
1057 CRM-供应商，增加检索功能。
1058 财务记账模块禁用账户后，依旧可对该账户操作。
1059 访问受限，没有自动跳回首页。
1060 查看禁用账号，页面无法返回查看正常的账号。
1061 客户管理 - 供应商 在窄页面的显示ui布局问题，应该像联系人页面一样。
1062 客户下次联系时间无法自动更新。
1063 现金流收入中回款和明细不一致且报表统计金额重复统计。
1064 后台-公司 第一次添加可以显示编辑器，编辑或者后续添加公司无法显示编辑器。
1066 记账模块账户登记余额0不显示。
1067 记账模块计算余额会出现-0。
1068 项目中统计的未完成任务没有包含进行中的任务。
1069 弹窗显示点击差号和按esc键结果不同且会显示灰色页面无法操作。

2018-05-08 4.6.3版本发布
添加用户、用户资料变更、删除用户时添加历史记录
新增队列服务功能
用户信息变更时发送通知到喧喧
检查未添加待办发送通知到喧喧
待办指派给用户时发送通知到喧喧

2018-03-26 4.6.2版本发布
客户下次联系可以有多次
zbox 安装后 点击里面的所有应用报错
自定义表前缀后无法还原用户
文档备注修改没有显示编辑器
客户-联系人 新增联系人显示的属性不全
加班审核，提醒。
客户列表批量指派会显示已经删除的帐号
博客刷新1次，阅读数量+2
修改一键安装包中虚拟主机的注释
项目管理中查看文档，需要设置项目任务的权限，才可以查看。
父子任务关闭父任务状态更新错误
附件下载不要使用生僻的函数
现金记账-账户 只显示20个 其他的看不到，建议完善分页功能。
用户反馈-创建订单提示信息优化
论坛发帖功能异常
团队首页，添加、编辑区块，功能异常。
请假申请，日期选择控件显示不全
我的地盘-待办，最新创建的应排在最上面。
考勤统计页面，页面报错。
合同编辑页面点击关联的订单，订单内容会被清空
oa报销中点击提交 撤销报销没有任何反馈
客户中的（客户来源），建议做成设置项，用户可以进行自定义。
报销明细第二条无法选择日期
名单的搜索功能，建议增加“公司”
修复sobug上面提交的安全问题
CRM-供应商和现金记账-供应上权限重复，取消其中一个的权限不生效
权限列表列出了没有功能的权限选项
安装4.6.2补丁后，点击crm-合同-回款报错

2018-02-07 4.6.1版本发布
产品增加排序功能
将产品线改为类目，可以无限级分类
理财盈利默认放到非主营业务收入中
梳理默认的科目的排序
然之，权限设置，禁用成员编辑信息。该成员登录，左下角点击头像，编辑个人信息无法使用
单点击查看显示的订单内容中的公司名称和内容是错误的
无法正常修改密码
动态中，有记录guest退出系统

2018-01-16 4.6版本发布
重构考勤功能，支持同一天可以有不同的考勤状态，支持跨月请假、加班、调休、补班
考勤统计保存数据之前检测是否有未审核的请假、补班、加班、调休等记录
调休功能，增加加班时间限制的校验开关
具有审批权限的用户在所有列表和详情页都可以进行审批
优化审批页面的排版
优化办公应用下面的各个页面没有记录时候的页面排版
请假模块我的审核页面没有待审核记录的月份不要列出
部门考勤信息相关页面显示子部门的数据
报销的时候可以关联项目或者合同
报销模块所有列表页左侧月份倒序显示
优化报销明细的设置，科目默认与主科目一致，经手人默认填写当前的报销人
报销科目设置，增加全选按钮
申请报销的时候科目默认为空
调整收入，支出的录入页面，可以设置产品、部门、科目是否必填
优化记账批量编辑页面
优化收入汇总概况区块
优化投资和借贷的呈现方式
记账里面选中记录的总和显示在表格的底部
记账列表提供根据合同搜索功能
增加禁用账户列表，默认显示正常账户
客户检索增加按照地域、行业检索
客户增加客户来源和来源备注字段
客户管理订单、合同报表增加按年、月统计的报表
客户详情页面显示采购的产品列表
客户详情页面显示相关回款信息
修复订单的上一个下一个会失效的问题
合同搜索增加创建时间字段
合同详情页面显示相关收支记录
编辑了产品之后返回之前的列表页面
下拉菜单搜索功能增加拼音搜索的功能
动态区块里面的链接可以直接打开对应的应用
调整子任务的对齐方式
设置功能，代号为NULL的配置，禁用掉输入框功能
开放后台-系统-计划任务功能权限控制
调整附件编辑和删除按钮的样式

2017-08-28 4.5.stable版本发布
角色字段，没有和其他功能关联，建议做成选填字段，方便客户操作。
请假审批弹出的提醒链接应当直接跳转到审批页面
跟交易相关的地方都明确区分记账人和经手人
应用的左上角显示应用的名称
所有请假里面进去之后应该也有审核按钮。
从审核列表进到详情，审核完毕之后，页面列表应该刷新。
批量编辑功能需要优化，商户数量多时数据表格加载速度慢
搜索商户先载入部分数据
请假、加班等申请，被拒绝之后，可以编辑。
优化报销列表页数据的显示
办公中所有审核增加批量审核功能
调整记账模块表格的字段排列
然之统计报表的表头前面两个字段合并单元格
优化报销页面的排版
记账设置主要的货币类型
创建合同时地址可以从客户地址里选择
桌面区块加载的时候等待图标会有重影
批量添加待办时批量选择待定提交会有错误
然之里保存和返回按钮优化
crm--货币设置，保存成功，先高亮产品状态。
左侧的导航条会出现多个的情况
客户管理-订单根据创建者搜索与订单报表中统计的数量不一致。
审批成功后，提示显示需优化。
禁用用户，提示在审批流程中，提示没列全。
导入记账时，经手人过滤掉closed。
Windows一键安装包，然之集成运行环境，显示为禅道 集成运行环境。
禅道集成-切换然之用户，禅道用户没有一起切换。
喧喧无法发送文件（php7.0）
明细报销中的日期显示样式错误
然之搜索框日期阶段无法删除并且无法通过搜索表单重置按钮重置
内网然之各个应用首页的区块无法添加编辑
请假，加班导出时【部门】项导出内容错误
编辑任务如果任务没有设置过截止日期会自动填写为今天的日期
创建的待办没同步显示在首页-待办里。
报销待审批页面显示的部门还是提交者的部门
办公审批页面的菜单点击之后页面有明显的抖动
如果发送人在线的话，不会给后面抄送的人发信
内网然之记账记录浏览时表头固定的位置计算不正确
待办弹出出来的页面点击页面其他区域会关闭
CRM 产品下产品线维护与设置-产品线显示不一致。
合同中的回款操作无法选择产品
团队中的角色维护后没有同步到后台组织角色中
非超级管理员可以查看后台内容
合同列表，点击联系人，匹配错误
考勤模块common.js重复加载造成左侧树形图展开和收缩的bug

2017-07-13 4.4.stable版本发布
然之待办拖动响应区域需要调整下
然之待办弹窗详情按钮换行
应用分组也可以参与排序
调整桌面区块的功能
记账模块增加收入概况区块
解决应用重复嵌套的问题
然之数据库可以指定前缀
然之防止出现连续点击保存时多次存储的情况
客户--联系人--编辑 弹窗过大，出现滚动条，点击滚动条弹窗会退出
禁用、删除用户的时候判断是否在审批流程内
集成禅道时没有安装curl扩展，提示信息无法显示出来
订单、合同列表页面增加联系人菜单
记账记录能够根据创建时间进行搜索
没有选择保持登录，也能登录进去。
增加每天的工作提醒邮件。
OA里面增加审批功能入口
审批的首页默认列出所有需要他审批的内容。
审批的增加邮件提醒。
审批类的流程增加备注功能。
申请报销时支出科目应当排序
按照日期进行检索时的样式需要调整
日期选择组件增加今年去年的时间区段
记账的时候科目的下拉菜单能够展开，不要换行。
可以设置记账科目必须选到最低一级
可以设置记账的时候必须有商户
记账时候的产品下拉菜单增加产品线的选择
浏览支出、转账投资等记录时产生完整的科目
优化记账搜索表单载入的速度
导入记账记录的时候经手人默认不要填当前的操作者
优化审批邮件
编辑请假的时候应该可以编辑事由
报销记账的时候可以选择记账的部门
编辑待办时，显示为后台管理。
安装然之，第3步数据库信息提交，对应用户没有创建数据库的权限，跳转500
新添加的用户最后登录时间和次数应该留空
更换然之标识
报销列表搜索表单日期无法选择
报销明细里面第二条日期选择框变形
然之安装，最后一步，如果ranzhi/tmp没有递归设置777权限，会报错500
上传头像异常
禅道集成报错
请假的邮件没有标题
按照标签浏览账户的时候会提示Bad request

2017-06-28 4.3.beta版本发布
loadModel改为单例模式
helper::substr()方法计算有误
过滤文件的时候改为白名单模式
将最近的改动合并到框架中。
getCSS方法中，当extensionLevel等于0时，返回的数据不对。同样检查getJS方法
框架里面createLink的判断有问题。
框架 fetch()方法里面需要增加注释。对fetch自己的那部分。
将这次sobug发现的问题改正到框架代码中
将代码里面的一些逻辑背景注释加上
提供集中的参数过滤功能
提供基础的文件上传模块

2017-06-12 4.2.3版本发布
修复当没有任何供应商的时候创建支出无法新增供应商的问题
解决通用搜索模块中先选择时间，再选择搜索条件为介于，搜索后显示空白页面的问题
解决各模块设置单独的审批人之后，我的地盘审批列表显示不了待审批的数据的问题
解决我的地盘待审批中不显示补班的审批的问题
解决添加的mysql中文手册的web应用无法打开的问题
解决后台-系统-web应用中点击安装后一直处于处理中的问题
解决应用所属分组删除后没有更新左侧的显示栏的问题
解决应用无法删除所属分组的问题
解决客户详情页面点击指派按钮无法显示编辑器的问题
解决创建订单页面可以关联研发中或者下架产品的问题
解决crm设置货币单位报错的问题
解决考勤统计无法保存的问题的问题

2017-02-27 4.1版本发布
修复通用搜索日期类的条件选择昨天，搜索后再次打开该选择会变为英文状态的1899年的bug
修复记账收入创建的时候选择合同，编辑时合同值为空的bug
修复然之集成GET访问方式的禅道，无法添加禅道的区块的bug
修复集成禅道后添加禅道的我的BUG区块，无法正常显示的bug
修复文档内容贴图报错的bug
修复crm产品列表点击表头排序会报错的bug
修复proj应用权限设置失效的bug
修复组织用户点击标题排序报错的bug
将error类改为notice避免与php7内置的冲突
修改动态里面的项目的链接，跳转到项目应用
调整cash-收入菜单的高亮

2017-01-23 4.0版本发布
将文档独立出来作为一个应用
移植禅道开源版本的文档管理的功能
项目增加文档库功能
文档库增加排序功能
将项目独立出来作为一个应用
优化调整然之各个应用的配色
合并客户功能
调整客户列表里面的时间顺序：添加，最后联系，下次联系。
调整合同和订单相关区块更多的链接
优化会员登录页面之后跳转referer的逻辑
增加附件编辑删除权限管理
记账的时候显示客户/供应商的对公账户
支出如果没有权限的话，提示用户
批量记账提供同上功能
论坛功能支持调整每页显示条数和快速跳转页面
报销列表里面的标题和科目增加title
待办在全屏状态切换的时候，表头固定要重新计算宽度

2016-10-25 3.7版本发布
优化然之的性能
优化misc-ping的性能
重构帐目明细表
重构考勤统计功能
重构账号盈亏报表
重构export2excel类
增加调休的功能
增加外出管理
实现销假的功能
我的地盘审批增加调休审批
我的地盘增加未关闭的任务列表
动态增加搜索功能
加班类型调休改为补班，超时加班改为工作日加班
加班审核拒绝的时候增加拒绝理由的填写
优化记账模块统计报表的样式
现金记账模块，在线支付类型增加微信支付
报表数据以万为单位显示
用户列表禁用和删除的账户默认不予列出
供应商（客户）增加对公账户字段
项目列表添加搜索功能
项目任务列表增加一个返回菜单
任务增加批量关闭功能
完成的待办增加激活功能
导入待办改为移动
报销的时候科目显示完整路径的科目
报销列表页提供搜索和报表功能(页脚的统计功能)
调整应用分组功能
在CRM里面增加供应商入口
创建节假日之后发送提醒

2016-10-08 3.6版本发布
升级到最新的zentaophp框架
待办列表页面批量操作增加其他操作
然之的api增加https接口
合同回款时选择关联记账的时候把回款的备注填入记账的说明字段内
科目可以调整顺序
手续费，理财盈利，理财亏损，贷款利息作为系统内置科目
将投资改为理财，记录分为投资和借贷
投资记录需要标记有没有赎回
调整报销提醒邮件的样式
报销增加默认排序
报销自动记账时将报销的经手人和明细信息也记录到记账模块
考勤应该可以设置节假日为工作日
创建客户的时候可以关联已有的联系人
优化销售分组功能
解决博客类目无法删除的问题
user表加account的唯一性检查
记账列表页进入的时候默认是当前季度的第一个月份
记账明细保存提示成功但是查询不到
解决报销明细科目第二行无法搜索中间的字符串的问题
user的getPairs方法过滤被禁止的用户时没有判断locked时间是否已过期
客户、联系人列表页根据权限过滤后右下角的总条目数还是未过滤的
直接访问OA应用的某个页面，跳转到登录地址是OA的
出差和请假同一天的时候，请假无法添加
报销审批时不填写报销金额也可以保存，结果是报销0元
草稿状态的报销无法编辑，提示信息访问受限
customer/model.php getCustomersSawByMe方法查询订单的时候in条件没有trim逗号，导致会把未指派的订单查询出来
合同操作动态没有进行销售分组权限过滤，合同详情页面没有检查销售分组权限
客户可以在指派的时候设为公共客户（进入客户池），但是却无法在指派页面里取消公共客户属性，必须到编辑页面去取消
超级管理员能看到所有人的需要审核的信息
云然之应用的集成页面里的返回按钮不生效
OA-考勤-设置-部门经理设置，空的时候返回内容错误
任务完成页面，点保存后保存成功提示位置错误。
客户报表无法根据搜索结果生成
搜索帐目时，导航里面选择2016，搜索表单搜索2015年的无结果
当应用打开方式为内嵌窗口时，打开应用显示空白。
日历区块添加待办时起止时间显示错误

2016-07-19 3.5版本发布
报销、请假、加班增加csv导出功能
增加考勤明细浏览功能
增加导出考勤明细的功能
考勤如果设置必须签退，取消自动签退功能
考勤可以设置不考勤的人员名单
修改考勤统计
加班、请假支持一天记录多次
每天的请假时长不应大于工作工时
请假、加班、出差的时间不能重复
解决连续多天请假、出差时在考勤中显示请假、出差时间错误的问题
分页增加跳转到第几页
调整记账模块的功能
优化统计报表
增加导出按照账号的收入盈亏表的功能
系统科目内置主营业务收入、非主营业务收入、主营业务成本、非主营业务成本
记账模块的搜索功能增加产品搜索，科目根据记账类型显示不同科目
客户搜索增加合作伙伴类型的筛选条件
合同按照销售分组的权限分开
我的地盘审核菜单增加权限判断
个人报销默认按照状态排序

2016-05-24 3.4版本发布
待办集成禅道的任务和bug
订单，客户，联系人等增加备注功能
优化客户联系人查询效率
公告记录已经阅读的用户
供应商增加分类管理
报销记录关联订单、合同、客户
报销设置由谁报销，加强报销的流程
报销增加金额设置，小于此金额只需要一级审批，大于此金额需要二级审批
设置默认的报销账户
增加由我审批的报销列表
报销可以按照月份进行浏览
报销审批列表增加查看详情的按钮
完善现金记账的区块，增加收入、支出类型的选择
记账里的收入，支出，转账，投资，报表放在第一级菜单
账目列表年份和月份的选择做成横向的选择
报表按照数据排序
账目列表产品和客户居左对齐
账目可以上传附件
将后台管理部分权限放入权限管理内
调整沟通页面的样式
优化任务列表页面的按钮
调整任务单个创建页面的样式
任务区块检查可以操作的菜单列表
加班增加详情页面
默认不提供地域和行业数据的安装
然之插件添加ZPL协议
修复待办的表头固定的问题
修复然之禅道集成密码有@等特殊字符时提示密码错误的问题
修复退出登录前地址是集成应用时(如禅道)，再次登录会自动跳转至应用，没有然之界面的问题
修复禅道集成专业版时提示小于7.4的问题
修复项目窗口缩放时，任务列表表格展示不对的问题
修复待办拖动的时候，切换到上个月，拖动到本月时，不显示的问题
修复看板按照指派给分组，将未指定的拖动到某个人时，没有修改指派给字段的问题
修复项目列表只在当前页排序，不是全局排序的问题

2016-04-18 3.3版本发布
左侧应用添加分组功能
考勤可以限定签到的ip地址
增加限制ip登录的功能
美化邮件提醒的模板
计划任务默认打开
备份可以设置存储的时间
科目增加是否是主营业务的属性
提供科目合并功能
浏览支出和收入记录的时候，可以组合左侧的月份浏览
账目列表改为产品/科目
待办列表可以点击一行直接选中前面的checkbox
日历待办的宽度保持一致
增加有无待办的提醒，每天提醒一次，上班后半小时提醒
优化待办创建页面样式
修复待办自己指派给自己不显示的bug
项目列表增加默认的排序
修复项目看板页面表头固定的bug
修复没有操作所有项目任务权限时，项目的成员（非创建者、负责人），完成任务时提示无权限的bug
我的地盘里面我的项目的描述控制在一行显示
我的地盘里面我的项目的创建项目的菜单放到表头
调整沟通功能的样式，分页显示沟通记录
名单忽略的时候可以写明原因
名单增加设置功能，可以设置派发规则
新建订单的产品列表里只显示状态为正常的产品
报销审批人和创建人相同的时候默认审核通过
报销审核界面样式调整
报销列表显示报销科目
报销设置页面菜单项调整
请假的审批人提供编辑功能
集成禅道的时候如果版本不符合要求，提示用户
任务搜索添加创建者、完成者条件
chosen下拉列表都居左显示
调整插件详情页面
测试ie11的兼容性问题

2016-02-24 3.2.1版本发布
解决加班、请假审核人获取需要审核的列表的问题
解决博客列表排序问题
解决没有订单时生成报表会出错的问题
不支持bccomp方法的时候给出提示
合同详情界面编辑回款时记录备注信息
解决客户沟通新建联系人时界面出错的问题
处理记账日期是每年最后一天不会被统计的问题
项目的相关操作只有项目创建人和项目负责人有权限
解决项目列表的分页问题
任务完成时指派给项目团队的人

2016-02-16 3.2版本发布
新增名单功能
考勤增加统计功能
文档库，文档，博客模块，博客文章，论坛版块增加权限控制功能
OA里面的考勤，出差，请假，报销功能设置开关
禅道集成解决https的问题
实现权限的实时生效功能
公用权限的设置增加备注
待定里点击完成操作的事务，显示在操作当天的待办日历里
未完成的待办点击完成之后，从未完成列表中移除
待办日历滚动的时候，周几的那一行固定在顶部，左侧的日期选择也固定在顶部
指派给他人的待办显示下指派人和被指派人
待办的日历周末调整显示的宽度
组织待办显示请假或者出差信息
组织根据考勤里面设置的工作日，来显示上个工作日
组织成员搜索支持真实姓名搜索
合同的回款功能自动和帐目关联
我的合同区块增加由我创建选项
项目任务默认列表是所有任务
任务列表菜单增加项目的维护菜单
查看子任务的时候显示父任务的名称
多人任务可以调整顺序
项目任务增加颜色的区分
项目的待办看板增加颜色的区别
看板的任务描述控制下显示的内容
调整项目区块
把记账的应用服务改为$
沟通的时候，选择某个联系人，可以直接把联系方式显示出来
调整日志的记录逻辑
优化订单的报表样式
二级菜单固定位置

2015-12-22 3.1版本发布
我的地盘里面增加新增对象的入口
我的地盘我的订单，我的合同的检索条件进行约束
优化贴图逻辑
待办那边增加未完成的列表
增加未完成和待定的待办可以导入到某一天的功能
组织待办可以添加备注信息
组织待办默认按照部门排序
批量添加待办的时候时候，时间也可以全部待定
修复创建待办的时候如果选择了日期，弹窗页面变全屏的问题
优化组织待办在滚屏情况下查看待办信息的样式问题
优化待办提醒
记录登录日志
合同列表和合同详情页面显示合同编号
项目列表加分页
修复项目任务无法按照状态进行排序的问题
修复左侧菜单拖动排序的问题

2015-12-02 3.0版本发布
增加我的地盘应用：待办，任务，项目，订单，合同，审批，组织，动态
增加扁平风格
实现消息提醒机制
实现版本更新提醒功能
区块增加更多链接
区块增加动态区块
梳理默认的区块布局，保证能够占满一行
添加应用操作拆分简化
增加单个任务的创建页面
任务添加备注功能
沟通记录的附件集中显示
待办增加列表页面
日历区块内的待办可以操作
客户的邮箱可以填写多个
已完成的项目增加列表显示页面
账户增加标签功能
记录帐目浏览的目录状态
供应商列表的区域和行业居左对齐
统一导入导出的图标按钮
左下角的图标鼠标悬浮增加当前登录用户名提示
右下角增加然之协同的版权标志和版本号

2015-11-13 2.7版本发布
授权协议修改为 ZPL 1.2
提供rpm、deb和Linux一键安装包
实现待办的指派功能
OA我的地盘里面增加和我相关的列表
导入帐目的时候自动去重功能
调整现金流报表的样式
与禅道集成，增加同步用户操作
增加请假，报销的撤销功能
请假报销添加邮件提醒
休息日登录然之，状态为加班
优化index页面迟到提醒
报销可以添加附件
梳理出差，请假，考勤，报销，待办权限设置
区块里面的日程可以直接添加内容
任务区块增加基本的操作按钮
联系人沟通页面提供附件上传功能
平板电脑上面沟通记录无法滚动浏览

2015-10-29 2.6版本发布
新增报销功能
新增日历功能，待办可以拖动到日历里面
项目任务可以指定给多人
项目任务支持子任务
完善项目、任务的权限控制
完善任务浏览时候上一个下一个的逻辑
简化然之和禅道集成的设置
调整考勤的补录功能
考勤和日历的待办合并
考勤模块增加部门经理的设置
考勤模块可以设置一个统一的审核人
调整考勤模块导出的excel表格模式
优化考勤页面的样式
如果没有设置必须签退，不需要提示签退
考勤设置里面增加周日开始选项

2015-08-29 2.5版本发布
在OA里面添加考勤、请假、出差功能
实现考勤参数设置功能
实现节假日增删改查
实现用户登录时间、最后更新时间和签到时间整合
实现我的考勤记录功能
实现查看我的部门的考勤记录的功能
实现查看组织的考勤记录功能
实现考勤记录的导出csv功能
实现部门负责人的维护功能
实现考勤记录的补录功能
实现考勤记录的审核功能
实现个人考勤记录日历的区块功能
在桌面右下角放置签到签退快捷按钮
实现用户的请假功能
实现请假的审核功能
实现查看我的请假记录功能
实现查看部门的请假记录功能
实现查看整个公司的请假记录功能
实现出差的添加功能
实现查看我的出差记录功能
实现查看部门的出差记录功能
实现查看所有的出差记录功能

2015-08-04 2.4版本发布
现金报表统计可以查看全年的支出收入统计
可以设置经过多少时间之后自动将没有更新的客户转入客户池
客户的联系人增加移除功能
创建订单的时候可以直接创建产品
一键安装包修改服务名称，和禅道的apachezt区分开
模块扩展时临时文件增加一个app的前缀加以区分
编辑客户的时候禁用左右方向键的切换功能
历史记录用户选择排序之后记录cookie
记录浏览记账页面左侧折叠的状态
浏览记账页面左侧折叠之后，底部按钮和表头做相应调整
把ajaxform的超时时间调大
修复kindEditor的swf上传漏洞
修复windows一键安装包ico图标
调整一键安装包首页的欢迎使用的页面布局
调整支出浏览权限设置按钮
修复“我参与的项目”不显示项目的问题
修复看板视图下的任务拖拽后，无法关闭模态框的问题
现金记账报表默认选择当前月
调整报表表格的最大高度
修复大纲视图下面操作按钮有两排的问题
修复编辑收入时合同信息丢失问题
修复订单的详情页面的历史记录在ie8下面显示不正常
修复ie8下面在客户详情页面创建联系人的问题

2015-06-17 2.3版本发布
基本报表使用zui最新的图表
账目报表生成年度收支曲线图、月度按照科目或部门的统计表
记账列表左侧增加按照日期的检索标签
记账列表页面的底部统计可以一直保持在底部
调整记账列表页面的排列和样式
处理记账备注里面的html标签
区块增加权限的判断
增加一个所有应用的区块
完善导出功能
项目的标签增加一个我参与的标签列表，默认放在第一位
任务列表指派给我的标签放到最前面
任务列表默认按照状态排序
订单和客户增加指派给我的标签
客户报表增加按照行业的报表
订单报表增加按照产品线的报表
客户详情页面如果是公共客户加以标识
供应商增加联系人管理
分页类的导航数量增加2000
修复火狐下应用导航更多按钮重叠的问题
修复项目任务删除不了的问题
修复客户的公共客户检索标签不起作用的问题
修复从客户的详情页面创建联系人的问题

2015-04-21 2.2版本发布
增加备份和还原功能
增加计划任务功能
增加导出功能
增加基本报表功能
产品增加产品线的概念
可以设置支出账目和支出科目的访问权限
无余额浏览权限的用户浏览账户的时候不显示账户余额
导入记账的时候，没有关联上的商户，提示用户是否新建，不再自动新建
批量记账的时候，关联商户的时候，做模糊匹配
然之添加应用的时候，非内置应用也可以不带http
安装的时候判断是否支持PATH_INFO要做精确匹配
合同的检索标签将未回款改为回款中，未交付改为交付中
客户状态增加自定义功能，已付款为系统保留
客户详情增加联系人和地址的菜单
客户和订单列表页面显示指派给字段
任务的区块增加未完成检索条件
优化联系人列表页面弹出的二维码样式
解决上传附件大小限制的问题
公告页面显示公告类目标签
左侧的导航菜单如果比较多的时候可以滚动显示

2015-03-16 2.1版本发布
crm设置页面增加销售分组的设置
在后台权限设置中增加销售分组浏览和销售分组维护权限
根据权限显示客户订单以及联系人的列表和菜单
将客户和其相应的订单的权限关联
权限管理设置中任务应当放在办公里面，导入记账模板权限应当分到记账管理里面
菜单的打印需要判断是否有权限
订单可以关联多个产品
合同的回款和交付记录增加编辑删除功能
合同搜索条件增加交付日期和回款日期
记账增加投资类型
中文的账目以万为单位显示，英文的通过千位分组格式化账目
对账中可以查看账目明细
对账时候开始日期和结束日期默认倒序显示
记账导入功能科目和部门选择框支持同上选择
浏览账目的时候，如果是选择的收入，小结里面只显示收入，不显示盈亏，反之亦然
项目列表区块增加状态的检索，默认是进行中的
项目列表区块显示完成和未完成的任务数以及项目的进度
未完成的任务可以转移到下一期的项目
完成任务的时候可以添加附件
任务关闭之后都指派给closed
看板中任务的标题和描述一样，描述不显示
附件下载的时候要保存中文名称(firefox)
后台应用列表如果没有图标的话不显示
梳理所有的下拉菜单，改用chosen并设置宽度
梳理所有列表页面，表头固定

2015-1-27 2.0版本发布
将系统的授权协议切换到zpl v1.1
回款页面增加款项金额提示
统计金额的时候，考虑订单，合同的状态
然之增加保持登录功能
修复代码里面的警告
合同页面增加未完成合同，默认显示未完成列表
客户的搜索增加购买意向、区域
创建合同的时候，对关联的订单进行判断，不能关联两个相同的订单
按照其他字段排序的时候，增加按照id排序的功能
安装的时候默认设置各个应用的桌面的区块为三个
所有应用增加左侧显示和非左侧显示两个标签
表名都改为小写
数据库名不能带.
设置用户可访问应用的时候，改为左右显示，右边是可以访问的
梳理默认安装时候的权限
排序的分组字段取值自动间隔开
系统默认的应用给予排序

2015-1-13 1.7版本发布
左侧应用实现拖拽排序
调整所有应用列表页面样式
用户可以自定义左侧导航应用
可以针对应用对用户设置访问权限
梳理权限设置
增加回收站功能
订单，合同增加删除功能
订单和任务指派时增加邮件通知的功能
实现博客、帖子的搜索功能
左下角的菜单中增加语言的切换和版本信息
处理webapp的图标
调整第三方应用里面的右上角的刷新和关闭按钮
非列表页面去掉检索标签
修复添加供应商时邮箱验证不通过也可以提交到后台的问题
修复左侧所有应用重复点击返回空白页的问题
修复现金记账搜索功能无法使用
修复后台组织编辑用户，管理员功能的选择不生效的问题
修复联系人检索标签问题
项目中的任务完成需要检测消耗工时，工时为0时不可以完成任务
将编辑会员时的“浏览会员”改为“管理员”
调整然之登录界面
提示用户论坛需要设置二级版块
创建订单的时候可以新增客户
项目任务的视图应当记录到cookie中
设置论坛版主的时候使用chosen
双击桌面图标应当在状态中进行切换
优化列表页面在手机和平板上面的显示
调整论坛、博客文档这些左右栏布局页面在手机上的导航
客户和联系人增加是否重复检查

2014-10-27 1.6版本发布
新增扩展机制
增加webapp功能
实现任务、文档和公告的搜索功能
实现客户、订单、联系人、合同的搜索功能
调整页面导航的布局，把左侧的菜单横过来
合同支持多次回款
合同支持多次交付
合同回款的时候可以直接记录收入
记收入的时候可以关联客户和合同
允许用户修改内置应用
现金导入模板支持部门字段
还没有交易记录的帐号可以删除
调整批量记账页面的排版
批量记账的时候，修复商户的新建功能
创建项目的时候，开始日期和结束日期应当提示是非空
弹窗的宽度设置几个尺寸
详情页面左侧的宽度调小
公告把关键字字段隐藏掉
编辑项目团队的时候应当保持原来的团队设置
系统默认应用的图标应当使用相对路径
然之取消响应式布局
联系人列表页面的邮箱和QQ增加链接
编辑联系人履历的时候应当显示当前的公司信息
合同详情页面如果联系人为空的话，不显示
合同增加快到期合同列表
客户详情页面订单列表颜色只需要加在状态字段上
客户详情页面的合同和订单列表应当显示货币符号
客户详情页面应当记录订单和合同，联系人等列表的session，以便能够返回
客户等级、客户规模的自定义页面的placeholder调整
客户列表或者详情里面弹出的订单列表页面宽度调大一些
整理订单列表页面的表头和值的对齐方式
订单列表页面填写沟通记录之后，刷新列表页面
订单，合同，客户，联系人，任务，帖子，博客增加上一个和下一个的功能
订单的基本信息区域将相关的字段合并在一起显示
调整看板页面卡片的默认样式
看板的拖拽响应区域增大
大纲视图、看板试图分组为空的列出来
调整看板视图下面任务的排序规则
任务指派的时候应当选中之前的指派人
大纲和看板页面需要记录任务列表的session
调整任务视图切换控制按钮的样式
大纲视图下面的折叠展开按钮放在前面
调整大纲视图页面总结信息的样式
看板和大纲按照状态分组，把未开始的放在前面

2014-10-27 1.5.beta版本发布
看板页面的新建任务链接不对
更换crm、team图标
调整区块样式
调整任务看板页面样式
调整大纲视图样式
任务添加大纲和看板视图
解决树状菜单的图标bug
下次联系时间 不能选择8月份的日期
任务列表页面的工时提示用户单位
供应商的行业和区域改用chosen
帐目列表左侧增加检索标签
调整客户界面订单和合同的显示
订单详情页面显示最后联系和下次联系时间
订单的详情页面把基本信息放在左侧
沟通日志再次编辑的时候，联系人应当选中之前的联系人
亟需联系不要查询下次联系时间为空的
合同的操作菜单将取消和删除折叠起来
订单操作将指派，关闭和激活折叠起来
合同的列表页面不用再显示所属客户信息了
客户列表页面的操作菜单折叠：把订单、合同、地址折叠起来
联系人列表页面将电话和手机合并在一起显示
联系人列表页面把删除和履历折叠起来
产品列表增加检索标签：正常、下架、研发中
联系人模块功能调整
调整订单模块的功能和样式
升级程序处理去掉合同名称里面的订单编号
调整后台自定义功能时的提示
调整记账模块的功能和样式
产品列表页面左侧的图标去掉
创建合同生成合同名称去掉订单编号
合同列表页面增加合同金额和已回款金额
左下角修改用户资料的问题
保存客户的时候如果信息有错误没有终止入库程序
文档详细页底部出现错误
区块可以跨列
在浏览器输入文档查看页面地址，跳转到了办公首页
项目的挂起和激活要增加确认
项目列表中的创建项目应当独立出来
任务剩余字段改为一位小数
暂时隐藏掉任务类型字段
菜单的输出都要判断是否有权限
导入记账的模板需要保存几条数据作为对应
调整账户列表页面的展示方式
调整博客左侧导航区域的内容
客户指派页面的样式调整
语言切换不起作用
应用导航路径问题
安装成功之后的登录后台的那个地址判断的错误
谷歌浏览器然之显示2次左侧导航栏
批量记账保存后，经办人名字显示真实姓名
解决上传的.doc、.xls等文件下载后显示乱码的问题

2014-09-05 1.4.beta版本发布
调整客户级别和规模的提示
修复opera12下点击左下角的所有应用菜单，会跳转的问题
日志文件增加.php扩展名
每个目录创建一个空白的index.php文件
升级的时候去掉ok文件的检查
部署升级包后自动跳转到升级页面
记账的时候科目做成多级选择的方式
可以将对账的结果标记为余额
帐目列表页面如果商户为空，不要显示
记账列表页面使用货币符号来显示货币单位
创建编辑合同时验证订单不能重复签约
记账中选择商户和客户时，实现快速查找功能
升级的时候添加重新部署下代码的提示
管理员登录前台时，左侧菜单增加后台的入口
放开普通用户添加区块的权限
货币应当让用户选择激活。而不是所有都列出来
订单状态只加在客户或者状态字段上面，不用整行都加上
block模块的control里面的构造方法去掉
下次联系时间增加无需联系
导入账单的时候，如果新建客户，状态改为已签约，备注放在客户购买意向
任务增加开始操作
安装的时候要判断管理员帐号的规则
增加合同编号字段，用户手工填写
解决项目列表中的结束日期写成开始日期的bug
解决项目完成之后列表里面无法列出的bug
解决后台编辑会员信息错误的问题
解决文档分类被删除之后，无法重新添加的bug
有邮箱和qq显示的地址都增加mailto和qq的链接
解决蝉知系统出现的安全问题
后台添加应用时logo的提示直接放在placeholder里面
调整记账列表页面的行间距
调整订单页面右侧操作按钮的宽度，opera下面会有换行
梳理每个区块内容的排版。该精简的精简
论坛的版块导航，一级板块之间增加间距，调整高亮版块的颜色
博客右侧的东西放在左侧，缩短宽度
通讯录的二维码名片背景去掉
为客户添加联系人界面的样式排版布局重新做下
合同增加检索标签
联系人增加检索标签
项目的任务列表页面去掉左侧的项目导航，改为检索标签
项目的任务列表左侧增加项目的下拉菜单，可以快速跳转
创建项目和编辑项目增加富文本编辑器
项目增加负责人概念
项目增加团队的概念
项目增加挂起状态
项目列表显示项目的团队
调整点击左下角弹出的菜单的样式
区块可以设置不同的配色风格
把记账管理应用名称改为现金记账
调整记账导入模板的创建方式
项目任务列表页面的创建日期只显示日期
精简公司信息
团队里面增加公司链接
分页使用禅道里面的分页
后台维护部门结构页面调整
后台权限列表页面的样式调整
后台添加应用代号需要给予提示
解决现金流记账设置页面的收入科目和支出科目同时高亮的问题
现金流的模板设置统一放在设置里面
调整项目列表页面的样式
后台当作一个应用处理不再使用单独入口

2014-07-16 1.3.beta版本发布
将以ajax开头的接口都作为开放接口
添加应用时应当提示用户logo的尺寸、格式
产品增加详情页面
统一表单页面的操作按钮样式，采用订单详情和编辑页面的样式
实现批量记账功能
实现帐目的批量编辑功能
实现帐目导入的自定义功能
实现帐目的导入功能
增加项目首页功能
项目增加完成功能
重构区块存储的实现
重构区块存储的实现
桌面区块增加隐藏操作
登录之后保持原来的应用状态
使用某一个具体应用时候可以动态修改浏览器的标题
记录各个列表页面的session方便返回
订单、客户或者联系人沟通的时候给一个下次联系时间的选项
记录沟通日志的时候需要更新相应的最后联系时间
客户详情页面增加相应信息的链接
合同的详情页面增加相应信息的链接
联系人的详情页面增加相应信息的链接
从详情页面添加完沟通日志之后，详情页面要刷新
编辑合同的时候需要处理对应订单的状态
上传附件的时候需要记录日志
任务指派需要记录日志
创建合同的时候需要记录日志
区块的path_info还是get方式不要写死在数据库中
订单的状态改为enum类型，可以进行排序
使用颜色来区分不同状态的客户、订单和合同
为客户维护联系人的时候记录日志
为客户维护订单的时候记录日志
为客户维护合同的时候也需要记录日志
为客户维护地址的时候也需要记录日志
为联系人维护地址的时候需要记录日志
为联系人维护履历的时候需要记录日志
订单详情页面增加相应信息的链接
客户的状态使用枚举类型，方便排序
合同的状态使用枚举类型，方便排序
从1.0版本升级的时候处理最后的联系时间
订单，合同，客户区块增加新的检索条件
OA的任务区块也增加新的检索条件
OA的项目增加区块列表
弹出的窗口esc的时候要判断当前的焦点是否是body
对账时如果没有余额记录提示并跳转到登记余额页面
后台维护部门的时候应当高亮组织菜单
后台维护角色的时候应当高亮组织菜单
非系统内置应用去掉右上角的控制按钮
修改系统内置应用的中文名称
后台维护应用的时候可以设置应用的排序
如果是系统内置应用的区块，直接用系统调用
单点登录验证改为url跳转方式
然之去掉响应式布局
应用如果已经打开时，再次点击应当保留应用状态
后台应用添加页面调整
登录的时候增加语言切换功能
安装系统的时候增加语言设置功能
然之管理后台footer需要处理
脑图可以按照多种组织方式进行组织
各应用首页的区块可以删除
区块打印链接的时候，需要打开一个应用窗口
调整formateTime方法
调整现金流应用的配色
点击左下角桌面的用户图标出现的菜单当失去焦点后可以隐藏
右键点击状态栏出现的控制菜单调整
点击左下角的所有应用菜单，会覆盖整个窗口
权限分组可以删除
联系人二维码名片功能
为客户创建联系人的时候，打开默认是新建页面，其次才是关联
调整创建合同时的页面
为客户新建联系人的时候，把电话也放出来
客户增加公有私有的限制
客户增加公有私有的限制
桌面应用添加区块的时候可以支持所有的内置应用
合同回款完成后，客户状态自动修改为已付款
激活订单时重置相应的字段
订单增加货币设置
合同增加货币设置
合同增加货币设置
客户沟通页面可以直接添加联系人
zui增加可输入下拉菜单组件
现金流增加供应商的功能
合同页面增加相应的链接
订单详情页面增加相应的链接
客户详情页面增加相应的链接
联系人详情页面增加相应的链接
订单增加检索标签
客户增加检索标签
出现用户名的地方都统一显示真实姓名
调整帐号详情页面的样式
修改付款帐号的区块显示，不用表格
调整通讯录详情页面的样式
论坛详情页面的面包屑可以放在pannel-heading里面
论坛详情页面的最后登录时间改为最后登录
版块列表增加有无新帖的显示
版块列表论坛版块名称要加粗，突出显示
管理员编辑回帖的时候编辑器应当使用full
论坛版块列表自动显示：如果只有一个，1列，两个，两列，3个及以上，3列
把论坛放在博客前面
发表博客页面的保存按钮应当和上面的文本框靠左对齐
联系人增加传真字段
类目没有添加的提示改用zui的botbox
统一调整文本框右侧有checkbox的样式
项目增加起止时间、描述
用户头像管理功能
合同增加沟通记录
联系人详情增加地址按钮
客户指派
整理代码，记录每个对象的最后编辑者和编辑时间
通讯录增加手机二维码扫描功能

2014-06-13 1.2.beta版本发布
将sns改为team
添加团队模块
实现团队通讯录功能
通讯录增加手机二维码扫描功能
实现团队博客功能
实现博客的评论功能
实现博客的最新评论区块
实现博客的最新博文区块
博客右侧增加标签云区块
博客右侧增加按照时间选择区块
实现团队论坛功能
参考禅道专业版论坛插件，实现然之系统的论坛首页
实现论坛版块左侧的导航
增加权限功能

2014-06-03 1.1.beta版本发布
对账的时候账户只能单选，默认是所有账户
重新调整付款信息区块的逻辑
账户列表的排版，字段名居右对齐
升级的时候默认设置现金流的区块
记账的时候处理商户的逻辑
去掉现金流功能里面备注的必填项
货币单位统一使用小写
统一收入支出的单词。in, out
转账的时候记录: transferin transferout，去掉transfer字段
现金流相关数表添加
实现对账功能
实现账户之间的转账功能
实现帐目的添加明细功能
实现帐目的浏览功能
实现单笔记账功能
实现现金流的科目设置
实现账户余额的浏览功能
实现账户余额记录功能
实现公司帐号的区块功能
实现帐号的浏览功能
实现帐号的激活功能
实现帐号的禁用功能
实现帐号的编辑功能
实现公司户头账户的添加功能
精简style.css里面用不到的样式

2014-05-03 1.0.beta版本发布
